{% import "macro/form.twig" as form %}
<style>
label {font-weight:600;}

.form-container {
    margin: 30px;
}
.padding-30{
  padding:0 30px;
}
h2{
  margin-top:10px;
}
h3{
  text-align:center;
}
</style>
<div class="container-fluid">
	<a class='btn btn-primary fr' href="/teacher/add">Add New Teacher</a>
	<h2 class=padding-30>Teachers</h2>
	<hr>
	<h3>Add New Teacher</h3>
	<div class="form-container">
		<form method="post">
			<div class="row">

				<div class="col-sm-4 padding-30">
					{{form.input("Name","name","")}}
				</div>
				<div class="col-sm-4 padding-30">
					{{form.input("UserID","user","")}}
				</div>
				<div class="col-sm-4 padding-30">
					{{form.input("Phone","phone","","tel")}}
				</div>
				<div class="col-sm-4 padding-30">
					{{form.input("Password","pass","","password")}}
				</div>
				<div class="col-sm-4 padding-30">
					{{form.input("Confirm Password","pass1","","password")}}
				</div>
				<div class="col-sm-4 padding-30">
					{{form.input("E-Mail","email","","email")}}
				</div>
				<div class="col-sm-8 padding-30">
					{{form.input("Subject","subject","","text")}}
					<span style='width:100%;text-align:right;float:left'>for multiple subjects use comma(,)</span>
				</div>
				{{form.hidden("action","add-teacher")}}
        <div class="col-sm-4 padding-30">
				<button class="btn btn-primary fr" style="
    bottom: 23px;
    right: 10px;
    position: absolute;
    padding: 8px 40px;
">Save</button>
        </div>
			</div>
		</div>
	</form>
</div>
<div class="row">
	<div class="form-group col-md-12 padding-30">
		<table width="100%" style="margin-left:20px" border="1" cellspacing="0">
			<tr>
				<th>#</th>
				<th>Name</th>
				<th>UserID</th>
				<th>Phone Number</th>

				<th colspan="2"></th>
			</tr>
			{% for teacher in users %}
				<tr>
					<td>{{loop.index}}</td>
					<td>{{teacher.name}}</td>
					<td>{{teacher.user}}</td>
					<td>{{teacher.phone}}</td>
					<td>
						{% if teacher.computer == '' %}
							Not Installed
						{% else %}
							Installed
						{% endif %}
					</td>
					<td>
						<a href="/teacher/del/{{teacher.id}}" style="color:red">Delete</a>
					</td>
				</tr>
			{% endfor %}
		</table>
	</div>
</div></div>
